X11::XCB::Rect(3pm)

NAME
X11::XCB::Rect - represents a rectangle

SYNOPSIS
  my $rect = X11::XCB::Rect->new(x => 0, y => 0, width => 300, height => 400);

But in most cases, you should be able to coerce a rect from an arrayref:

  my $window = $x->root->create_child(
    rect => [0, 0, 300, 300],
    class => WINDOW_CLASS_INPUT_OUTPUT,
  );